ファネル日ごとデータ取得
curl --request GET \
--url https://api.utage-system.com/v1/funnels/{funnel_id}/stats/daily \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.utage-system.com/v1/funnels/{funnel_id}/stats/daily"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.utage-system.com/v1/funnels/{funnel_id}/stats/daily', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"step_id": "<string>",
"step_name": "<string>",
"pages": [
{
"page_id": "<string>",
"page_name": "<string>",
"has_payment_element": true,
"totals": {
"pv": 123,
"uu": 123,
"registration_count": 123,
"registration_rate": 123,
"sale_count": 123,
"purchase_rate": 123,
"sale_amount": 123
},
"daily": [
{
"date": "2023-12-25",
"pv": 123,
"uu": 123,
"registration_count": 123,
"registration_rate": 123,
"sale_count": 123,
"purchase_rate": 123,
"sale_amount": 123
}
]
}
]
}
]
}{
"error": {
"code": "unauthorized",
"message": "認証に失敗しました"
}
}{
"error": {
"code": "not_found",
"message": "リソースが見つかりません"
}
}{
"error": {
"code": "validation_error",
"message": "バリデーションエラーが発生しました"
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "リクエスト上限を超えました。しばらく時間を空けて再試行してください"
}
}統計・登録者
ファネル日ごとデータ取得
プレビュー機能。仕様は今後変更される可能性があります。 ファネルの日別集計データ(PV・UU・登録数・登録率・売上件数・購入率・売上金額)を取得します。管理画面「データ(日別)」画面と同等です。
各ページの合計値(totals)と日別の明細(daily)を返します。日別配列は新しい日付から降順です。date_from/date_to を指定しない場合は直近7日間が対象になります。
ファネル日ごとデータ取得
GET
https://api.utage-system.com/v1/funnels/{funnel_id}/stats/daily
この機能はプレビュー版です。仕様が変更される場合があります。
Authorizations
APIキーをBearerトークンとして指定
Path Parameters
ファネルID
Query Parameters
対象ページIDのカンマ区切り。未指定時は全ページが対象
集計開始日(YYYY-MM-DD)。未指定時は本日の6日前
集計終了日(YYYY-MM-DD)。未指定時は本日
集計方法。
accrual_date: 発生日ベース(デフォルト)subscription_date: 初回登録日ベース
Available options:
accrual_date, subscription_date 登録経路IDで絞り込み
UTMソースで絞り込み
UTMメディアで絞り込み
UTMキャンペーンで絞り込み
UTMタームで絞り込み
UTMコンテンツで絞り込み
Response
日別集計データ
Show child attributes
Show child attributes
⌘I